Loading...
Searching...
No Matches
apache::subversion::svnxx::error::message Class Reference

Error message description. More...

`#include <svnxx/exception.hpp>`

## Public Member Functions

int | code () const noexcept
| Return the error code.
const char * | name () const noexcept
| Return the error name.
const std::string & | text () const noexcept
| Return the error message.
std::string | generic_text () const
| Return the generic error message associated with the error code.
bool | trace () const noexcept
| Check if this message is in fact a debugging traceback entry.

## Protected Member Functions

| message (int errval, const char *errname, const std::string &message_, bool trace)

## Detailed Description

Error message description.

Definition at line 148 of file exception.hpp.

## Constructor & Destructor Documentation

## message()

apache::subversion::svnxx::error::message::message | ( | int | errval,
|  | const char * | errname,
|  | const std::string & | message_,
|  | bool | trace )

inline protected

Definition at line 178 of file exception.hpp.

## Member Function Documentation

## code()

int apache::subversion::svnxx::error::message::code | ( |  | ) | const

inline noexcept

Return the error code.

Definition at line 154 of file exception.hpp.

## name()

const char * apache::subversion::svnxx::error::message::name | ( |  | ) | const

inline noexcept

Return the error name.

Note
  The returned value may be `nullptr`.

Definition at line 160 of file exception.hpp.

## text()

const std::string & apache::subversion::svnxx::error::message::text | ( |  | ) | const

inline noexcept

Return the error message.

Definition at line 165 of file exception.hpp.

## trace()

bool apache::subversion::svnxx::error::message::trace | ( |  | ) | const

inline noexcept

Check if this message is in fact a debugging traceback entry.

Definition at line 175 of file exception.hpp.

The documentation for this class was generated from the following file:

- svnxx/exception.hpp